How do I install in FF 3.6.8 ? Rated 4 out of 5 stars

I have [the current latest] Firefox 3.6.8 but this extension page keeps flagging "Not available for Firefox 3.0.3". This was one of my favourite extensions. How can I persuade it to install?